package com.atlassian.bitbucket.internal.mirroring.mirror;

import com.atlassian.bitbucket.i18n.KeyedMessage;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * Indicates the an upstream request was rejected because it exceeded one or more rate limits imposed by the upstream
 * server
 */
public class UpstreamServerRequestRateExceededException extends UpstreamServerRequestFailedException {
    public UpstreamServerRequestRateExceededException(@Nonnull KeyedMessage message) {
        super(message);
    }

    public UpstreamServerRequestRateExceededException(@Nonnull KeyedMessage message, @Nullable Throwable cause) {
        super(message, cause);
    }
}
